/**********************************************************************
Copyright (c) 2010 Alexander Kerner. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 ***********************************************************************/

package net.sf.mvc.prototype.controller;

import net.sf.mvc.prototype.model.Model;
import net.sf.mvc.prototype.view.OutputView;

/**
 * 
 * {@code InputOutputController} combines both {@link InputController} and
 * {@link OutputController}.
 * 
 * @author <a href="mailto:alex.kerner.24@googlemail.com">Alexander Kerner</a>
 * @version 2010-11-01
 * 
 * @param <M>
 *            Type of {@link net.sf.mvc.prototype.model.Model Model}
 * @param <V>
 *            Type of {@link net.sf.mvc.prototype.view.OutputView OutputView}
 * 
 * @see InputController
 * @see OutputController
 */
public interface InputOutputController<M extends Model<? extends OutputController<? extends OutputView>>, V extends OutputView>
		extends InputController<M>, OutputController<V> {

}
